## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate glycin

Name:           rust-glycin
Version:        0.1.0
Release:        %autorelease
Summary:        Sandboxed image decoding

License:        MPL-2.0 OR LGPL-2.1-or-later
URL:            https://crates.io/crates/glycin
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Add autobins = false to avoid unwanted /usr/bin/test binary
Patch:          glycin-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Sandboxed image decoding.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE-LGPL-2.1
%license %{crate_instdir}/LICENSE-MPL-2.0
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-1
- Update to version 0.1.0; Fixes RHBZ#2238935

* Wed Sep 06 2023 Kalev Lember <klember@redhat.com> - 0.1.0~rc-1
- Update to 0.1.0-rc

* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.4-1
- Update to 0.1.0-beta.4
- Upstream relicensed to 'MPL-2.0 OR LGPL-2.1-or-later'

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-4
- Update license to LGPL-2.1-only in Cargo.toml as well

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-3
- Add better workaround for avoiding /usr/bin/test binary

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-2
- Use LGPL-2.1-only for license until we get confirmation from upstream
  (rhbz#2233248)

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-1
- Update to 0.1.0-beta.3

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-3
- Drop an unwanted binary

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-2
- Add missing LICENSE file from upstream

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-1
- Update to 0.1.0-beta.2

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.1-1
- Initial Fedora packaging (rhbz#2233248)
## END: Generated by rpmautospec
